## GstRTSPSdp

GstRTSPSdp — Make SDP messages

## Functions

gboolean | gst_rtsp_sdp_from_media ()

## Types and Values

| GstSDPInfo

## Description

Last reviewed on 2013-07-11 (1.0.0)

## Functions

### gst_rtsp_sdp_from_media ()

    gboolean
    gst_rtsp_sdp_from_media (GstSDPMessage *sdp,
                             GstSDPInfo *info,
                             GstRTSPMedia *media);

Add `media` specific info to `sdp` . `info` is used to configure the connection information in the SDP.

#### Parameters

sdp | a GstSDPMessage |
info | a GstSDPInfo. | [transfer none]
media | a GstRTSPMedia. | [transfer none]

#### Returns

TRUE on success.

## Types and Values

### GstSDPInfo

    typedef struct {
      gboolean is_ipv6;
      const gchar *server_ip;
    } GstSDPInfo;

## See Also

GstRTSPMedia